Release info

Created by: yhahn
Created on: August 23, 2010 - 18:26
Last updated: August 23, 2010 - 18:26
Core compatibility: 6.x
Release type: Bug fixes

Release notes

Upgrading from Context 2.x for Drupal 6.x

If you are upgrading from Context 2.x consider this a major branch upgrade. Test the upgrade path on a staging or development site first and make a database backup.

  • Context 3.x requires CTools 1.7 or higher.
  • Download latest Context 3.x and latest CTools release and place in modules directory. Make sure to remove the existing Context 2.x directory before unpacking Context 3.x. There are stale files in the 2.x branch that need to be removed.
  • Run update.php or drush updatedb.
  • If your site contains contexts defined in code they will be overridden. Re-export them to code again. If you are using any custom conditions or reactions, you may need to upgrade or reconfigure them by hand. See API.txt for instructions on adding and extending plugins in Context.

Changes since DRUPAL-6--3-0-RC2:

  • #890066 by Mark Trapp: Fix for PHP notice.
  • #891122: Clear menu cache after submitting context settings.
  • Updating upgrade instructions.
  • Notify users of unmigrated keys when migrating contexts.